Privage Open API
    Open API
    • Open API
    • Welcome to Privage Open API Documents
    • Get Access Token
      POST
    • Renew Access Token
      POST
    • Exchange Access Token
      POST
    • Get Current Add-On status
      GET
    • Get Profile
      GET
    • Add Point
      POST
    • Burn Point
      POST
    • Void Transaction By Id
      DELETE
    • Void Transaction By RefNo
      DELETE
    • Void Transaction By RefId
      DELETE
    • Get Campaign
      GET
    • Get Transaction
      GET
    • Get Coupon Set
      GET
    • Create Coupon Set
      POST
    • Give Coupon to Member ID
      POST
    • Get Give Coupon History
      GET
    • Void Give Coupon
      DELETE
    • Get Transaction
      GET
    • Check Coupon
      GET
    • Mark Use Coupon
      POST

      Get Give Coupon History

      สำหรับผู้ใช้ทั่วไป (Privage Open API)
      https://core.privageapp.com
      สำหรับผู้ใช้ทั่วไป (Privage Open API)
      https://core.privageapp.com
      GET
      /api/v1/connect/coupon/member/{memberUuid}
      รายการคูปองที่มอบให้สมาชิกรายนั้นแบบแบ่งหน้า

      Request

      Authorization
      JWT Bearer
      Add the parameter
      Authorization
      to Headers
      Example:
      Authorization: ********************
      or
      Path Params

      Query Params

      Responses

      🟢200
      application/json
      รายการคูปองของสมาชิกแบบแบ่งหน้า
      Body

      🟠401
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request GET 'https://core.privageapp.com/api/v1/connect/coupon/member/member-uuid-string?page&size' \
      --header 'Authorization: Bearer <token>'
      Response Response Example
      {
          "pagination": {
              "total": 5,
              "page": 1,
              "size": 10
          },
          "data": [
              {
                  "uuid": "coupon-uuid-string",
                  "code": "WLC8A3BX2K",
                  "status": "PENDING",
                  "couponSetName": "Welcome Coupon",
                  "startDate": "2026-01-15T10:00:00Z",
                  "endDate": "2026-12-31T23:59:59Z",
                  "expiredAt": null
              }
          ]
      }
      Modified at 2026-04-18 11:38:38
      Previous
      Give Coupon to Member ID
      Next
      Void Give Coupon
      Built with